Bug 70117 - [ivb cpu edp] clock recovery fails with too many full/voltage retries, channel equalization succeeds
[ivb cpu edp] clock recovery fails with too many full/voltage retries, channe...
Status: NEEDINFO
Product: DRI
Classification: Unclassified
Component: DRM/Intel
unspecified
Other All
: medium normal
Assigned To: Intel GFX Bugs mailing list
Intel GFX Bugs mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 09:27 UTC by Jani Nikula
Modified: 2015-07-02 12:25 UTC (History)
16 users (show)

See Also:
i915 platform: IVB
i915 features: display/eDP


Attachments
don't enable VDD when shutting down the panel (620 bytes, text/plain)
2013-10-16 21:32 UTC, Jesse Barnes
no flags Details
dmesg output with drm.debug=0xe on 3.15 final (152.53 KB, text/plain)
2014-06-08 21:04 UTC, snafu109
no flags Details
dmesg from Ubuntu mainline 3.15.1-031501-generic (238.22 KB, text/plain)
2014-06-23 10:47 UTC, Patrik Lundquist
no flags Details
dmesg output with drm.debug=0xe on 3.17-rc2 (139.88 KB, text/plain)
2014-08-26 10:39 UTC, Patrik Lundquist
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jani Nikula 2013-10-04 09:27:20 UTC
There are a number of IVB cpu eDP machines (such as Dell XPS 13, Asus TX300, Asus UX32VD, others) out there that fail the clock recovery phase of DP link training with "too many full/voltage retries, give up", but (as we ignore the error) pass the link training in the channel equalization phase.

There are plenty of dmesg logs exhibiting the behaviour attached to [1], [2]. A typical example snippet below.

[    2.924336] [drm:ironlake_edp_panel_vdd_on], Turn eDP VDD on
[    2.924341] [drm:ironlake_wait_panel_power_cycle], Wait for panel power cycle
[    2.924347] [drm:ironlake_wait_panel_status], mask b800000f value 00000000 status 00000000 control abcd0000
[    2.924355] [drm:ironlake_edp_panel_vdd_on], PP_STATUS: 0x00000000 PP_CONTROL: 0xabcd0008
[    2.924358] [drm:ironlake_edp_panel_vdd_on], eDP was not running
[    3.128336] [drm:intel_dp_set_signal_levels], Using signal levels 09000000
[    3.128969] [drm:intel_dp_set_signal_levels], Using signal levels 0c000000
[    3.129598] [drm:intel_dp_set_signal_levels], Using signal levels 0e000000
[    3.130225] [drm:intel_dp_set_signal_levels], Using signal levels 09000000
[    3.130849] [drm:intel_dp_set_signal_levels], Using signal levels 0e000000
[    3.131478] [drm:intel_dp_set_signal_levels], Using signal levels 09000000
[    3.132104] [drm:intel_dp_set_signal_levels], Using signal levels 0e000000
[    3.132726] [drm:intel_dp_set_signal_levels], Using signal levels 09000000
[    3.133349] [drm:intel_dp_set_signal_levels], Using signal levels 0e000000
[    3.133971] [drm:intel_dp_set_signal_levels], Using signal levels 09000000
[    3.134595] [drm:intel_dp_set_signal_levels], Using signal levels 0e000000
[    3.135223] [drm:intel_dp_start_link_train], too many full retries, give up
[    3.135225] [drm:ironlake_edp_panel_on], Turn eDP power on
[    3.135228] [drm:ironlake_wait_panel_power_cycle], Wait for panel power cycle
[    3.135234] [drm:ironlake_wait_panel_status], mask b800000f value 00000000 status 00000000 control abcd0008
[    3.135239] [drm:ironlake_wait_panel_on], Wait for panel power on
[    3.135243] [drm:ironlake_wait_panel_status], mask b000000f value 80000008 status 0000000a control abcd000b
[    3.348075] [drm:ironlake_edp_panel_vdd_off], Turn eDP VDD off 1
[    3.348083] [drm:ironlake_panel_vdd_off_sync], PP_STATUS: 0xabcd000b PP_CONTROL: 0x80000008
[    3.368420] [drm:intel_enable_rc6], RC6 and deep RC6 enabled
[    3.368421] [drm] Enabling RC6 states: RC6 on, RC6p on, RC6pp off
[    3.381445] [drm:gen6_enable_rps], Overclocking supported. Max: 1200MHz, Overclock max: 1200MHz
[    3.401461] [drm:intel_dp_set_signal_levels], Using signal levels 0e000000
[    3.402398] [drm:intel_dp_complete_link_train], Channel EQ done. DP Training successful

This patch fixes the issue, and clock recovery passes at first attempt, but I don't think this is entirely correct:

diff --git a/drivers/gpu/drm/i915/intel_dp.c b/drivers/gpu/drm/i915/intel_dp.c
index 1b74275..71f6ae4 100644
--- a/drivers/gpu/drm/i915/intel_dp.c
+++ b/drivers/gpu/drm/i915/intel_dp.c
@@ -1800,9 +1800,9 @@ static void intel_enable_dp(struct intel_encoder *encoder)
 
 	ironlake_edp_panel_vdd_on(intel_dp);
 	intel_dp_sink_dpms(intel_dp, DRM_MODE_DPMS_ON);
-	intel_dp_start_link_train(intel_dp);
 	ironlake_edp_panel_on(intel_dp);
 	ironlake_edp_panel_vdd_off(intel_dp, true);
+	intel_dp_start_link_train(intel_dp);
 	intel_dp_complete_link_train(intel_dp);
 	intel_dp_stop_link_train(intel_dp);
 }

We need to verify our VDD force handling respects power sequencing.

[1] https://bugzilla.kernel.org/show_bug.cgi?id=59841
[2] https://bugs.freedesktop.org/show_bug.cgi?id=64880
Comment 1 Jani Nikula 2013-10-04 09:41:45 UTC
Asus UX31A, bug 67950 too.
Comment 2 Jani Nikula 2013-10-07 07:45:15 UTC
I posted a patch [1] to promote the errors to DRM_ERROR, to make them visible without debugs enabled too.

[1] http://mid.gmane.org/1380978836-12168-1-git-send-email-jani.nikula@intel.com
Comment 3 Jesse Barnes 2013-10-16 21:27:38 UTC
Can you try this patch?

diff --git a/drivers/gpu/drm/i915/intel_dp.c b/drivers/gpu/drm/i915/intel_dp.c
index 97dfa05..876b98d 100644
--- a/drivers/gpu/drm/i915/intel_dp.c
+++ b/drivers/gpu/drm/i915/intel_dp.c
@@ -1223,7 +1223,7 @@ void ironlake_edp_panel_off(struct intel_dp *intel_dp)
        pp = ironlake_get_pp_control(intel_dp);
        /* We need to switch off panel power _and_ force vdd, for otherwise some
         * panels get very unhappy and cease to work. */
-       pp &= ~(POWER_TARGET_ON | EDP_FORCE_VDD | PANEL_POWER_RESET | EDP_BLC_EN
+       pp &= ~(POWER_TARGET_ON | PANEL_POWER_RESET | EDP_BLC_ENABLE);
 
        pp_ctrl_reg = _pp_ctrl_reg(intel_dp);
Comment 4 Jesse Barnes 2013-10-16 21:32:28 UTC
Created attachment 87759 [details]
don't enable VDD when shutting down the panel

courtesy of Shobhit, and attached to avoid cut & paste fail
Comment 5 Jani Nikula 2013-10-18 06:33:09 UTC
(In reply to comment #3)
> Can you try this patch?

Does not help the IVB Acer Aspire S7. I had the patch on top of drm-intel-nightly and http://mid.gmane.org/1381932378-14890-1-git-send-email-jani.nikula@intel.com
Comment 6 Jani Nikula 2013-10-31 15:07:16 UTC
This might be worth trying, with and without Jesse's patch:
http://mid.gmane.org/1383230661-1819-1-git-send-email-przanoni@gmail.com
Comment 7 Paulo Zanoni 2013-12-04 21:26:24 UTC
Just to add yet another VDD patch: http://cgit.freedesktop.org/~pzanoni/linux/?h=vdd-rework . Make sure you're on the vdd-rework branch.
Comment 8 Jani Nikula 2013-12-05 08:29:01 UTC
I no longer have access to the machine where I reproduced this. However this has been seen on a bunch of machines so don't close because of this.
Comment 9 Daniel Vetter 2013-12-05 13:09:23 UTC
(In reply to comment #8)
> I no longer have access to the machine where I reproduced this. However this
> has been seen on a bunch of machines so don't close because of this.

Do we have a tester for Paulo's patches then? Otherwise there's not much choice than to close this, non-actionable bugzillas just clog up bandwidth.
Comment 10 Michael Shigorin 2013-12-05 13:14:46 UTC
(In reply to comment #8)
> I no longer have access to the machine where I reproduced this.
Jani, in case this was UX31A I'm writing this reply from one :)
Comment 11 Jani Nikula 2013-12-05 14:34:03 UTC
(In reply to comment #10)
> (In reply to comment #8)
> > I no longer have access to the machine where I reproduced this.
> Jani, in case this was UX31A I'm writing this reply from one :)

Yeah I think that's one of them too. Please post a dmesg with drm.debug=0xe running some shiny new kernel.
Comment 12 Michael Shigorin 2013-12-05 14:39:03 UTC
Would vanilla 3.12.2 count as shiny enough? :) (have that handy)
Comment 13 Jani Nikula 2013-12-05 15:00:00 UTC
(In reply to comment #12)
> Would vanilla 3.12.2 count as shiny enough? :) (have that handy)

That's fine for confirming you have the issue. Check the stuff in comment #0. We'll bug you for more stuff if you have one of the affected machines. :)
Comment 14 Michi 2014-05-02 16:34:21 UTC
I encounter the same problem on Asus UX31a, Ubuntu 14.04 64 Bit.
Comment 15 Felipe Contreras 2014-05-05 11:02:01 UTC
I also get this problem in ASUS ZenbookPro UX31A.

https://bugzilla.kernel.org/show_bug.cgi?id=74931
Comment 16 Daniel Vetter 2014-05-15 22:14:12 UTC
Everyone please retest with latest 3.15-rc kernels, we've applied a bunch of fixes for edp in general there.
Comment 17 Gabriel A Devenyi 2014-05-27 19:42:35 UTC
Still happening on 3.15rc7

[ 9943.869689] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
[ 9945.380966] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
[10110.489804] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
[10111.959877] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
[11087.490261] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up

Linux delta 3.15.0-031500rc7-lowlatency #201405251935 SMP PREEMPT Sun May 25 23:45:10 UTC 2014 x86_64 x86_64 x86_64 GNU/Linu
Comment 18 snafu109 2014-06-08 21:01:53 UTC
(In reply to comment #16)
> Everyone please retest with latest 3.15-rc kernels, we've applied a bunch of
> fixes for edp in general there.

I tested today with 3.15 final (Ubuntu mainline). Still get the message in dmesg output. I've added output of dmesg with drm.debug=0xe enabled (as suggested in a bug posted to kernel's bugzilla).

I have an Asus UX32VD running Ubuntu 14.04 x64.
Comment 19 snafu109 2014-06-08 21:04:15 UTC
Created attachment 100687 [details]
dmesg output with drm.debug=0xe on 3.15 final
Comment 20 Patrik Lundquist 2014-06-23 10:47:09 UTC
Created attachment 101571 [details]
dmesg from Ubuntu mainline 3.15.1-031501-generic

Still broken on 3.15.1 (among other things).
Comment 21 Clement Bramy 2014-07-24 09:28:42 UTC
Hello,

I have an Asus UX32VD and I am experiencing the same issue.
I am willing to help testing patch if you are still working on this.

I am currently on linux 3.15.5-2 (archlinux) and here is an extract of my dmesg showing the errors I got:

[    9.157168] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
[ 2684.835993] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
[ 3149.107358] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up

I do not think I had the other message (with keyword 'full') so far.

Regards,
Clement
Comment 22 Al Scandar Solstag 2014-07-28 22:53:55 UTC
Seems I have the same or a similar issue on an Asus Taichi21, when turning the secondary (tablet) screen on.

Maybe it helps to know that the problem does not happen if the laptop is turned on with the lid closed, thus when the secondary screen was active from the start.

If you open the lid before booting, the secondary screen never appears on, even though it shows up on xrandr.
Comment 23 Martin Andersen 2014-08-05 08:18:18 UTC
I'm getting this constantly on a i5-3570 (IVB/HD4000) system; currently running the most recent kernel (3.16.0-031600-generic #201408031935). System is becoming near-unusable.

Problem was also present on 3.14.4.

During boot I also get the 'pipe_off wait timed out' / 'failed to disable transcoder A' errors, which is not critical but hangs the system for a time --

Aug  4 13:51:09 tamarix kernel: [    1.468677] [drm:ironlake_disable_pch_transcoder] *ERROR* failed to disable transcoder A
Aug  4 13:51:09 tamarix kernel: [    1.471229] [drm:cpt_set_fifo_underrun_reporting] *ERROR* uncleared pch fifo underrun on pch transcoder A
Aug  4 13:51:09 tamarix kernel: [    1.471229] [drm:cpt_serr_int_handler] *ERROR* PCH transcoder A FIFO underrun
Aug  4 13:51:09 tamarix kernel: [    1.476527] [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up

This is on DP, running at 2560x1440. Only one screen attached.


From kern.log:

Aug  4 13:51:09 tamarix kernel: [    1.404635] ------------[ cut here ]------------
Aug  4 13:51:09 tamarix kernel: [    1.404679] WARNING: CPU: 2 PID: 119 at /home/apw/COD/linux/drivers/gpu/drm/i915/intel_display.c:953 intel_wait_for_pipe_off+0x1de/0x1f0 [i915]()
Aug  4 13:51:09 tamarix kernel: [    1.404679] pipe_off wait timed out
Aug  4 13:51:09 tamarix kernel: [    1.404685] Modules linked in: crct10dif_pclmul crc32_pclmul ghash_clmulni_intel aesni_intel i915(+) ahci libahci aes_x86_64 lrw gf128mul glue_helper ablk_helper cryptd i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core wmi video
Aug  4 13:51:09 tamarix kernel: [    1.404687] CPU: 2 PID: 119 Comm: systemd-udevd Not tainted 3.16.0-031600-generic #201408031935
Aug  4 13:51:09 tamarix kernel: [    1.404687] Hardware name: Hewlett-Packard HP Compaq Elite 8300 MT/3397, BIOS K01 v02.05 05/07/2012
Aug  4 13:51:09 tamarix kernel: [    1.404689]  00000000000003b9 ffff8800d2b373e8 ffffffff81786525 0000000000000086
Aug  4 13:51:09 tamarix kernel: [    1.404690]  ffff8800d2b37438 ffff8800d2b37428 ffffffff8107207c ffff88020f120000
Aug  4 13:51:09 tamarix kernel: [    1.404690]  ffff88020bab0000 0000000000070008 00000000fffedc67 0000000000000000
Aug  4 13:51:09 tamarix kernel: [    1.404691] Call Trace:
Aug  4 13:51:09 tamarix kernel: [    1.404695]  [<ffffffff81786525>] dump_stack+0x46/0x58
Aug  4 13:51:09 tamarix kernel: [    1.404697]  [<ffffffff8107207c>] warn_slowpath_common+0x8c/0xc0
Aug  4 13:51:09 tamarix kernel: [    1.404698]  [<ffffffff81072166>] warn_slowpath_fmt+0x46/0x50
Aug  4 13:51:09 tamarix kernel: [    1.404709]  [<ffffffffc0318ace>] intel_wait_for_pipe_off+0x1de/0x1f0 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404718]  [<ffffffffc0318ba4>] intel_disable_pipe+0xc4/0xd0 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404727]  [<ffffffffc031dc5f>] ironlake_crtc_disable+0xaf/0x270 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404736]  [<ffffffffc031f1bb>] __intel_set_mode+0x15b/0x420 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404745]  [<ffffffffc0320da6>] intel_set_mode+0x16/0x30 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404754]  [<ffffffffc0321856>] intel_crtc_set_config+0x196/0x300 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404765]  [<ffffffffc01c7040>] drm_mode_set_config_internal+0x60/0xe0 [drm]
Aug  4 13:51:09 tamarix kernel: [    1.404768]  [<ffffffffc020a37b>] restore_fbdev_mode+0xbb/0xe0 [drm_kms_helper]
Aug  4 13:51:09 tamarix kernel: [    1.404770]  [<ffffffffc020a46c>] drm_fb_helper_restore_fbdev_mode_unlocked+0x2c/0x50 [drm_kms_helper]
Aug  4 13:51:09 tamarix kernel: [    1.404772]  [<ffffffffc020bbb1>] drm_fb_helper_set_par+0x31/0x80 [drm_kms_helper]
Aug  4 13:51:09 tamarix kernel: [    1.404776]  [<ffffffff813fdfb4>] fbcon_init+0x514/0x5a0
Aug  4 13:51:09 tamarix kernel: [    1.404779]  [<ffffffff8148b1dc>] visual_init+0xbc/0x120
Aug  4 13:51:09 tamarix kernel: [    1.404780]  [<ffffffff8148dd3a>] do_bind_con_driver+0x16a/0x320
Aug  4 13:51:09 tamarix kernel: [    1.404781]  [<ffffffff8148e0a1>] do_take_over_console+0x61/0x70
Aug  4 13:51:09 tamarix kernel: [    1.404782]  [<ffffffff813fc20b>] do_fbcon_takeover+0x5b/0xb0
Aug  4 13:51:09 tamarix kernel: [    1.404784]  [<ffffffff81401145>] fbcon_event_notify+0x3c5/0x3f0
Aug  4 13:51:09 tamarix kernel: [    1.404786]  [<ffffffff81256656>] ? __kernfs_create_file+0x86/0xc0
Aug  4 13:51:09 tamarix kernel: [    1.404787]  [<ffffffff8109ac7d>] notifier_call_chain+0x4d/0x70
Aug  4 13:51:09 tamarix kernel: [    1.404789]  [<ffffffff8109aed8>] __blocking_notifier_call_chain+0x58/0x80
Aug  4 13:51:09 tamarix kernel: [    1.404789]  [<ffffffff8109af16>] blocking_notifier_call_chain+0x16/0x20
Aug  4 13:51:09 tamarix kernel: [    1.404791]  [<ffffffff81407dab>] fb_notifier_call_chain+0x1b/0x20
Aug  4 13:51:09 tamarix kernel: [    1.404792]  [<ffffffff81409f19>] do_register_framebuffer+0x1d9/0x300
Aug  4 13:51:09 tamarix kernel: [    1.404793]  [<ffffffff8140a065>] register_framebuffer+0x25/0x40
Aug  4 13:51:09 tamarix kernel: [    1.404795]  [<ffffffffc020a157>] drm_fb_helper_single_fb_probe+0x187/0x2f0 [drm_kms_helper]
Aug  4 13:51:09 tamarix kernel: [    1.404796]  [<ffffffffc020bcad>] drm_fb_helper_initial_config+0xad/0xf0 [drm_kms_helper]
Aug  4 13:51:09 tamarix kernel: [    1.404808]  [<ffffffffc032ae4f>] intel_fbdev_initial_config+0x1f/0x30 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404821]  [<ffffffffc034ce33>] i915_load_modeset_init+0x1c3/0x200 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404833]  [<ffffffffc034f278>] i915_driver_load+0x488/0x750 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404838]  [<ffffffffc01c0cbd>] drm_dev_register+0xbd/0x110 [drm]
Aug  4 13:51:09 tamarix kernel: [    1.404843]  [<ffffffffc01c3759>] drm_get_pci_dev+0x89/0x190 [drm]
Aug  4 13:51:09 tamarix kernel: [    1.404852]  [<ffffffffc02c308b>] i915_pci_probe+0x3b/0x60 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404854]  [<ffffffff813d4c0e>] local_pci_probe+0x4e/0xa0
Aug  4 13:51:09 tamarix kernel: [    1.404855]  [<ffffffff813d5d25>] ? pci_match_device+0xe5/0x110
Aug  4 13:51:09 tamarix kernel: [    1.404856]  [<ffffffff813d5e49>] __pci_device_probe+0xb9/0xf0
Aug  4 13:51:09 tamarix kernel: [    1.404857]  [<ffffffff813d5eba>] pci_device_probe+0x3a/0x60
Aug  4 13:51:09 tamarix kernel: [    1.404859]  [<ffffffff814c4091>] really_probe+0x91/0x380
Aug  4 13:51:09 tamarix kernel: [    1.404860]  [<ffffffff814c4507>] driver_probe_device+0x47/0xa0
Aug  4 13:51:09 tamarix kernel: [    1.404861]  [<ffffffff814c460b>] __driver_attach+0xab/0xb0
Aug  4 13:51:09 tamarix kernel: [    1.404862]  [<ffffffff814c4560>] ? driver_probe_device+0xa0/0xa0
Aug  4 13:51:09 tamarix kernel: [    1.404863]  [<ffffffff814c241e>] bus_for_each_dev+0x5e/0x90
Aug  4 13:51:09 tamarix kernel: [    1.404864]  [<ffffffff814c3c4e>] driver_attach+0x1e/0x20
Aug  4 13:51:09 tamarix kernel: [    1.404865]  [<ffffffff814c37d4>] bus_add_driver+0x124/0x260
Aug  4 13:51:09 tamarix kernel: [    1.404866]  [<ffffffff814c4f04>] driver_register+0x64/0xf0
Aug  4 13:51:09 tamarix kernel: [    1.404867]  [<ffffffffc03aa000>] ? 0xffffffffc03a9fff
Aug  4 13:51:09 tamarix kernel: [    1.404868]  [<ffffffff813d4f8c>] __pci_register_driver+0x4c/0x50
Aug  4 13:51:09 tamarix kernel: [    1.404872]  [<ffffffffc01c396a>] drm_pci_init+0x10a/0x140 [drm]
Aug  4 13:51:09 tamarix kernel: [    1.404873]  [<ffffffffc03aa000>] ? 0xffffffffc03a9fff
Aug  4 13:51:09 tamarix kernel: [    1.404881]  [<ffffffffc03aa08a>] i915_init+0x8a/0x92 [i915]
Aug  4 13:51:09 tamarix kernel: [    1.404882]  [<ffffffffc03aa000>] ? 0xffffffffc03a9fff
Aug  4 13:51:09 tamarix kernel: [    1.404884]  [<ffffffff81002157>] do_one_initcall+0xd7/0x200
Aug  4 13:51:09 tamarix kernel: [    1.404887]  [<ffffffff811c3684>] ? kfree+0x134/0x170
Aug  4 13:51:09 tamarix kernel: [    1.404890]  [<ffffffff8177b6c1>] do_init_module+0x30/0x181
Aug  4 13:51:09 tamarix kernel: [    1.404892]  [<ffffffff810f4a89>] load_module+0x4b9/0x5f0
Aug  4 13:51:09 tamarix kernel: [    1.404893]  [<ffffffff810f20c0>] ? show_initstate+0x50/0x50
Aug  4 13:51:09 tamarix kernel: [    1.404894]  [<ffffffff810f4c74>] SyS_init_module+0xb4/0x100
Aug  4 13:51:09 tamarix kernel: [    1.404897]  [<ffffffff81793fad>] system_call_fastpath+0x1a/0x1f
Aug  4 13:51:09 tamarix kernel: [    1.404898] ---[ end trace 8d62f8205de31ce4 ]---
Comment 24 Patrik Lundquist 2014-08-26 10:39:25 UTC
Created attachment 105279 [details]
dmesg output with drm.debug=0xe on 3.17-rc2

Still broken on 3.17-rc2.
Comment 25 Jani Nikula 2014-09-05 09:22:54 UTC
Side note, worth re-testing when Ville's power sequencing series lands.
Comment 26 andreas.sturmlechner 2014-10-23 20:19:49 UTC
I observe those voltage retries a lot in 3.16/3.17 (GM45 via DisplayPort, a Thinkpad X200s) - and more alarming, there are sizzling noises coming from my Eizo display. Everything is fine on 3.4.104 (an other bug has my system nailed down on that version).
Comment 27 Jesse Barnes 2014-12-10 21:29:20 UTC
Can you bisect the regression from 3.4?  I assume it was introduced in 3.5, so maybe there won't be too many commits to go through...
Comment 28 Jascha Geerds 2014-12-23 12:24:11 UTC
Same here on a Thinkpad T440s with Kernel 3.18.0. How can we help you to solve this issue? What infos do you need?
Comment 29 Leho Kraav (:macmaN :lkraav) 2015-02-25 19:55:38 UTC
After about 9 days of uptime, DELL E7440 doesn't want to recognize displays connected to the dock anymore. Kernel 3.18.7 vanilla.

veebr 25 21:51:30 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:30 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:30 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:30 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:30 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:31 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:31 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:31 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:31 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:31 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:31 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:31 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:31 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:31 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:31 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:31 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:31 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:32 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:32 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:32 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:32 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:32 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:33 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:33 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:33 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:33 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:33 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:33 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:33 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:33 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:33 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:33 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:34 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:34 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:34 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:34 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:34 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:35 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:35 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:35 papaya kernel: [drm:intel_dp_set_idle_link_train] *ERROR* Timed out waiting for DP idle patterns
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:35 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:36 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:36 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:36 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:36 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:36 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:36 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:36 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:36 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:36 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:36 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:36 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:37 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:37 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:37 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:37 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:37 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:38 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:38 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:38 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:39 papaya kernel: [drm:intel_dp_start_link_train] *ERROR* too many voltage retries, give up
veebr 25 21:51:39 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:39 papaya kernel: [drm:intel_dp_complete_link_train] *ERROR* failed to train DP, aborting
veebr 25 21:51:39 papaya kernel: [drm:hsw_unclaimed_reg_detect] *ERROR* Unclaimed register detected. Please use the i915.mmio_debug=1 to debug this problem.
veebr 25 21:51:39 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:39 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:39 papaya kernel: [drm:intel_uncore_check_errors] *ERROR* Unclaimed register before interrupt
veebr 25 21:51:39 papaya kernel: [drm:intel_dp_set_idle_link_train] *ERROR* Timed out waiting for DP idle patterns
Comment 30 andreas.sturmlechner 2015-03-24 11:14:40 UTC
Error still happening in 4.0.0_rc5+.

(In reply to Jesse Barnes from comment #27)
> Can you bisect the regression from 3.4?  I assume it was introduced in 3.5,
> so maybe there won't be too many commits to go through...
I was building a lot of kernels yesterday and was able to pin it down to 3.12 being the last "good" and 3.13 the first "bad" one. Unfortunately there's a point during 3.13 development where my laptop has no output at all, so bisecting won't be that comfortable...
Comment 31 Luke Hutchison 2015-06-17 00:00:38 UTC
This is still happening on a Dell XPS 15 Touch (Intel HD Graphics 4600) with kernel 4.0.4-202.fc21.x86_64.

Symptoms: if I switch off the external monitor with the DP cable plugged in, but the built-in laptop panel switched off, the laptop panel never switches on automatically, like it's supposed to (due to some sort of interaction between this bug and xrandr), so I can't see anything. When I switch the external monitor back on, the laptop tries to connect to the external monitor, but fails, so I can no longer see anything on either monitor. Switching to a VT with Ctrl+Alt+F2 shows the VT text on both displays just fine, but switching back to the X session shows only a black screen.

It's about 3 seconds after I pull out and re-plug the DP cable that I see the following (and the power light on the monitor turns red, indicating an error state):

[drm:intel_dp_start_link_train [i915]] *ERROR* too many voltage retries, give up

trying "DISPLAY=:0 xrandr --output DP1 --off ; DISPLAY=:0 xrandr --output DP1 --auto" gives "xrandr: Configure crtc 0 failed" at the console, and the following lines also appear in /var/log/Xorg.0.log:

[765559.448] (II) intel(0): resizing framebuffer to 2560x1600
[765559.456] (II) intel(0): resizing framebuffer to 8x8

The screen size is subsequently shown as 8x8 in xrandr:

[root@localhost ~]# DISPLAY=:0 xrandr
Screen 0: minimum 8 x 8, current 8 x 8, maximum 32767 x 32767
eDP1 connected (normal left inverted right x axis y axis)
   3200x1800     59.98 +
   2048x1536     60.00
   1920x1440     60.00
   1856x1392     60.01
   1792x1344     60.01
   1600x1200     60.00
   1400x1050     59.98
   1280x1024     60.02
   1280x960      60.00
   1024x768      60.00
   800x600       60.32    56.25
   640x480       59.94
DP1 connected (normal left inverted right x axis y axis)
   2560x1600     59.97 +
   1920x1200     59.95
   1920x1080     59.99
   1600x1200     60.00
   1680x1050     59.95
   1280x1024     60.02
   1440x900      59.89
   1280x720      59.97
   1024x768      60.00
   800x600       60.32    56.25
   640x480       60.00    59.94
   720x400       70.08
HDMI1 disconnected (normal left inverted right x axis y axis)
HDMI2 disconnected (normal left inverted right x axis y axis)
VGA1 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)

Nothing short of killing and restarting the X session (or rebooting) seems to fix the problem.
Comment 32 Luke Hutchison 2015-06-17 00:04:33 UTC
No idea if this is related, but I'm also seeing the following when I open the lid:

Jun 16 16:27:06 localhost kernel: [765968.178208] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.178353] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.242177] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.242257] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.242303] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.242523] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.242542] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.242664] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.242704] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: [765968.242783] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
Jun 16 16:27:06 localhost kernel: i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment